Bug 243160 - after resume beryl manager doesn't render the screen properly
after resume beryl manager doesn't render the screen properly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beryl-core (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 12:34 EDT by Brian G. Anderson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-29 10:42:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2007-06-07 12:34:34 EDT
Description of problem:
I have a Dell D620 with an nvidia card.  If I use beryl as my window manager,
after a resume I have a mouse pointer and a black background.  It is clear that
the manager thinks the windows are visible since I see the cursor change as it
goes over the (invisible) windows.  I can kill X (C-S-BS) and the screen comes
back (though when I log back in, the window manager behaves like metacity even
though it claims its using beryl; when I use the right click menu on
beryl-manager to restrart the window manager then it behaves like beryl again)

If I switch the window manager to metacity before I do a suspend, when I resume
the screen comes back fine and I can switch back to beryl with no problems.

Version-Release number of selected component (if applicable):
beryl-core-0.2.0-1.fc7

How reproducible:
every suspend


Steps to Reproduce:
1. use beryl as window manager
2. suspend and resume the dell
3.
  
Actual results:
responsive mouse cursor but only a black background/



Expected results:
working windows.


Additional info:
One workaround is to always switch to metacity before the suspend, but when a
new window manager takes over it shuffles all open windows to the first virtual
desktop, so this is really a painful workaround.  Plus it isn't automated.
Comment 1 Jarod Wilson 2007-06-07 15:05:32 EDT
Please try out the 0.2.1 beryl bits in updates-testing. If those don't resolve
the problem, you'll probably have to bother upstream about a fix, though I don't
know how active upstream is about fixing things in beryl since most of the
current effort is toward re-merging beryl and compiz. For the most part, we just
package the (semi-unstable) stuff upstream churns out in this case...
Comment 2 Brian G. Anderson 2007-06-07 15:47:29 EDT
Nope still does the same thing.  My one other data point is that I use this
exact machine with another disk containing FC6 using Beryl and it suspends and
resumes with no problems.  Could it be the X server having problem resuming with
composite rendering?
Comment 3 Jarod Wilson 2007-06-07 15:52:07 EDT
Could be. But it could also be nvidia's fault. Does compiz work better? I've not
actually tried beryl in recent times on my powerbook with suspend, but
compiz+suspend on my powerbook doesn't exhibit the problem you're seeing...
Comment 4 Brian G. Anderson 2007-06-07 16:28:21 EDT
I switched to compiz and while the windows wobble and such I have no visible
borders.  I think this is just a configuration issue (though I don't know what)
and compiz is working.  I can suspend and resume compiz no problem.  I have
never gotten compiz to work reliably, even in FC6, which is one of the reasons I
went to Beryl.

I don't know if the missing border is a red herring and the successful
suspend/resume shows you that nvidia is working or it is indicative a larger
problem.  My guess is that since Beryl shows borders fine and compiz
suspends/resumes fine, it isn't the nvidia driver.

sigh,  I wish the results were more clear.
Comment 5 Jarod Wilson 2007-06-29 10:42:59 EDT
compiz-fusion packages are Coming Soon, and beryl is pretty much EOL now, so
closing wontfix.

Note You need to log in before you can comment on or make changes to this bug.